{{#if (and this.isEmpty @isEditor)}}
  <div data-editor="generic-list" data-type="list" class="generic-list empty" ...attributes>
    {{t "message-generic-list-empty"}}
  </div>
{{else}}
  {{#each @value as |record index|}}
    {{yield record index}}
  {{/each}}

  <div data-editor="generic-list" data-type="list" class="generic-list d-none" ...attributes>
  </div>
{{/if}}